Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 30d103a638e3855af3676341a2e1fef6c00a1161)
+++ sansview/perspectives/fitting/fitpage.py	(revision 58c6ba6fe2df1ff853cb54aaae283e16b4d6acc7)
@@ -438,6 +438,6 @@
                                                wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                             ix +=1
-                            self.sizer4_4.Add((20,20), (iy,ix),(1,1),
-                                               wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                            #self.sizer4_4.Add((20,20), (iy,ix),(1,1),
+                                               #wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                             self.fixed_param.append([None,name3, Tctl
                                                      ,None,None, None, None,None])    
@@ -457,5 +457,5 @@
         ix =0
         iy +=1 
-        self.sizer4_4.Add((20,20),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)        
+        #self.sizer4_4.Add((20,20),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)        
         self.sizer4_4.Layout()
         self.sizer4.Layout()
@@ -1261,5 +1261,5 @@
               
         iy+=1
-        sizer.Add((10,10),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        #sizer.Add((10,10),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         
         #Display units text on panel
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision ba8f2c39e59960fc79552e20c7dfc669ae4207dc)
+++ sansview/perspectives/fitting/modelpage.py	(revision 58c6ba6fe2df1ff853cb54aaae283e16b4d6acc7)
@@ -124,4 +124,5 @@
         self.fixed_param=[]
         self.orientation_params_disp=[]
+        #self.temp=[]
        
         self.sizer4_4.Clear(True)
@@ -268,6 +269,6 @@
                                                wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                             ix +=1
-                            self.sizer4_4.Add((20,20), (iy,ix),(1,1),
-                                               wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                            #self.sizer4_4.Add((20,20), (iy,ix),(1,1),
+                                               #wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                             self.fixed_param.append([None,name3, Tctl2,
                                                      None,None, None, None,None])
@@ -280,5 +281,5 @@
         ix =0
         iy +=1 
-        self.sizer4_4.Add((20,20),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)   
+        #self.sizer4_4.Add((20,20),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)   
         self.sizer4_4.Layout()
         self.sizer4.Layout()
@@ -300,21 +301,37 @@
             self.model_view.Disable()
            
-            #ToDo:cleanup this mess.           
-            #self.set_model_param_sizer(self.model)
-            #self._set_sizer_gaussian()
+            #ToDo:cleanup this mess.  resets orient param on 2D when polydis. is on.  
+            #broken since _set_sizer_gaussian() was removed from the code.  
+            n = self.disp_box.GetCurrentSelection()
+            dispersity= self.disp_box.GetClientData(n)
+ 
+            self.set_model_param_sizer(self.model)
+            self._set_sizer_dispersion(dispersity)
             
             if len(self.orientation_params)>0:
+                #recover hidden orient. param.s
+                #for item in self.temp:
+                #    for num in range(len(item)):
+                #        item[num].Show(True)
                 for item in self.orientation_params:
                     if item[2]!=None:      
-    
+                        #item[2].Show()
                         item[2].Enable()
+            
             if  self.disp_name.lower() == "array":                
                 self._set_sizer_arraydispersion()  
             else:
+
                 if len(self.orientation_params_disp)>0:
-                     for item in self.orientation_params_disp:
+                    #for item in self.temp:
+                    #    for num in range(len(item)):
+                    #        item[num].Show(True)
+                    
+                    for item in self.orientation_params_disp:
                         if item[2]!=None:
+                            #item[2].Show()
                             item[2].Enable()
         self.state.enable2D =  copy.deepcopy(self.enable2D)
+        self.Layout()
         ## post state to fit panel
         self._undo.Enable(True)
@@ -458,4 +475,5 @@
         self.orientation_params=[]
         self.orientation_params_disp=[]
+        #self.temp=[]
         if model ==None:
             ##no model avaiable to draw sizer 
@@ -567,11 +585,14 @@
                 if not self.enable2D:
                     units.Hide()
-                    units.Disable()
+                    #units.Disable()
                 else:
                     units.Show(True)
-                    units.Enable()
-
+                    #units.Enable()
+   
                 sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                
+                #Save 2D orient. params
+                #self.temp.append([name,ctl1,units,orient_angle])
+                
+                               
                 ##[cb state, name, value, "+/-", error of fit, min, max , units]
                 self.parameters.append([None,item, ctl1,
@@ -581,5 +602,5 @@
                     
         iy+=1
-        sizer.Add((10,10),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        #sizer.Add((10,10),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         
         #Display units text on panel
@@ -597,5 +618,6 @@
     
  
-            
+
+                
         
 class HelpWindow(wx.Frame):
